<template>
    <div>
        <ResourceForm v-bind:resource="resource" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></ResourceForm>
    </div>
</template>

<script>
import ResourceForm from './Resources.Form.vue';
import { editProject } from '@/api/projects.service.js';
export default {
    data() {
        return {
            resource: {
            }
        }
    },
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        }
    },
    components: {
        ResourceForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            if(!this.project.resources){
                this.project.resources = new Array();
            }
            this.project.resources.push(this.resource);
            let id = this.project._id;
            editProject(id,this.project).then(() => {
                this.$store.dispatch('setProjectById',this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

        }
    }
}
</script>

<style>

</style>
